LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
ArrayWrapper Struct Reference

Allows an UNO sequence that is passed between different language boundries to indicate it prefers to be represented as a multidimensional array with 0 or 1 based indices. More...

`import"ArrayWrapper.idl";`

## Public Attributes
boolean | IsZeroIndex
| Indicates whether the Array should be have 1 or 0 based indexing. More...
any | Array
| Contains the Array to be passed. More...

## Detailed Description

Allows an UNO sequence that is passed between different language boundries to indicate it prefers to be represented as a multidimensional array with 0 or 1 based indices.

UNO does not natively represent Multi-Dimensional arrays, instead a sequence can have elements that are themselves sequences (an array of arrays ).

Some languages ( example BASIC ) can natively represent both Multi-Dimentional arrays and array of arrays. Those languages could represent a sequence of sequences as either a Multi-Dimentional array or array of arrays. This structure allows a preference for a Multi-Dimensional array representation to be specified.

## Member Data Documentation

any Array

Contains the Array to be passed.

Multi-dimensional arrays can only be represented as a sequence where the elements of the sequence are themselves sequences. N-Levels of indirection are possible, where N is the number of dimensions. Note: its perfectly legal to use this structure with a single dimensioned array just to indicate the array indexing.

boolean IsZeroIndex

Indicates whether the Array should be have 1 or 0 based indexing.

The documentation for this struct was generated from the following file:

- com/sun/star/script/ArrayWrapper.idl